### Constructor

# Goa OAuth2BasedSkeleton new

#### Declaration [src]

    GoaOAuth2Based*
    goa_oauth2_based_skeleton_new (
      void
    )

#### Description [src]

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based.

#### Return value

Type: `GoaOAuth2BasedSkeleton`

The skeleton object.

The caller of the function takes ownership of the data, and is responsible for freeing it.